Skip to main content
POST
/
v0
/
features
Create
curl --request POST \
  --url https://api.paygentic.io/v0/features \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "key": "<string>",
  "name": "<string>",
  "merchantId": "<string>",
  "productId": "<string>",
  "type": "boolean",
  "metadata": {}
}
'
import requests

url = "https://api.paygentic.io/v0/features"

payload = {
"key": "<string>",
"name": "<string>",
"merchantId": "<string>",
"productId": "<string>",
"type": "boolean",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
key: '<string>',
name: '<string>',
merchantId: '<string>',
productId: '<string>',
type: 'boolean',
metadata: {}
})
};

fetch('https://api.paygentic.io/v0/features', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "feat_x1y2z3a4b5c6d7e8",
  "object": "feature",
  "key": "api-calls",
  "name": "API Calls",
  "type": "metered",
  "merchantId": "org_f9g0h1i2j3k4l5m6",
  "productId": "prod_a1b2c3d4e5f6g7h8",
  "metadata": {
    "unit": "requests",
    "display_order": "1"
  },
  "createdAt": "2024-01-08T12:00:00.000Z",
  "updatedAt": "2024-01-08T12:00:00.000Z"
}
{
"message": "The requested resource was not found",
"error": "not_found"
}
{
"message": "The requested resource was not found",
"error": "not_found"
}
{
"message": "The requested resource was not found",
"error": "not_found"
}
{
"message": "The requested resource was not found",
"error": "not_found"
}
{
"message": "The requested resource was not found",
"error": "not_found"
}
{
"message": "The requested resource was not found",
"error": "not_found"
}

Authorizations

Authorization
string
header
required

API key authentication

Body

application/json
key
string
required

Unique slug identifier for the feature within the product. Must be lowercase letters, numbers, and hyphens only.

Pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$
name
string
required

Human-readable feature name shown to customers.

merchantId
string
required

The merchant organization that owns this feature

Pattern: ^org_[a-zA-Z0-9]+$
productId
string
required

The product this feature belongs to

Pattern: ^prod_[a-zA-Z0-9]+$
type
enum<string>
default:boolean

Feature type: 'metered' for usage-based features, 'static' for fixed allocations, 'boolean' for on/off features

Available options:
metered,
static,
boolean
metadata
object

Optional key-value metadata storage for feature information.

Response

Feature created successfully

id
string
required

Unique identifier for a feature

Pattern: ^feat_[a-zA-Z0-9]+$
object
enum<string>
default:feature
required
Available options:
feature
key
string
required
Pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$
name
string
required
type
enum<string>
required
Available options:
metered,
static,
boolean
merchantId
string
required

Unique identifier for an organization

Pattern: ^org_[a-zA-Z0-9]+$
productId
string
required

Unique identifier for a product

Pattern: ^prod_[a-zA-Z0-9]+$
metadata
object
required
createdAt
string<date-time>
required

Timestamp when the feature was created

updatedAt
string<date-time>
required

Timestamp when the feature was last updated